import java.awt.*; 
import javax.swing.*; 
import java.util.*;
public class RandomArt2 extends JPanel {
    private static Random slump = new Random();
    public RandomArt2() {}//konstruktor

    public void paintComponent(Graphics pen) {
        super.paintComponent(pen); 
        randomFigures(pen);
    }//paintComponent

    private void randomFigures(Graphics pen) {
        setCanvasColor(pen);
        for(int i = 1; i <= 150; i = i + 1) {
            int b = slump.nextInt(45) + 10;
            int h = slump.nextInt(45) + 10;
            int x = slump.nextInt(getWidth() - b);
            int y = slump.nextInt(getHeight() - h);
            pen.setColor(randomColor());
            int fig = slump.nextInt(2);
            if (fig == 0) 
                pen.fillRect(x,y,b,h);
            else 
                pen.fillOval(x,y,b,h);
        }
    }//randomFigures

    private void setCanvasColor(Graphics pen) {
        pen.setColor(randomColor());
        pen.fillRect(0, 0, getWidth(), getHeight());
    }//setCanvasColor

    private Color randomColor() {
        return new Color(slump.nextInt(256), slump.nextInt(256 ), slump.nextInt(256));
    }//randomColor
}// RandomArt
