import java.awt.*; 
import javax.swing.*; 
import java.util.*;
public class SnowFall extends JPanel {
    private static Random slump = new Random();
    public SnowFall() {
        setBackground(new Color(123,123, 200));
    }//konstruktor
    public void paintComponent(Graphics pen) {
        super.paintComponent(pen); 
        drawSnowFall(pen);
    }//paintComponent
    public void drawSnowFall(Graphics pen) {
        pen.setColor(Color.white);
        int antal = slump.nextInt(40) + 20;
        for (int i = 1; i <= antal; i = i + 1) {
            int radie = slump.nextInt(15) + 10;
            int x = slump.nextInt(getWidth() - 2*radie);
            int y = slump.nextInt(getHeight() - 2*radie);
            drawSnowFlake(pen, x, y, radie);
        }
    }//drawSnowFall 
    public void drawSnowFlake(Graphics pen, int x, int y, int radie) {
        int x0 = x + radie;
        int y0 = y + radie;
        for (int i = 0; i < 360; i = i + 20) {
            int x1 = x0+ (int) (radie * Math.cos(Math.toRadians(i)));
            int y1 = y0 + (int) (radie * Math.sin(Math.toRadians(i)));
            pen.drawLine(x0, y0, x1, y1);
        }
    }//drawSnowFlake
}//SnowFall
